Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Software Updates fails in kde and yast.

  1. #1

    Default Software Updates fails in kde and yast.

    Leap 15.0
    I think that the update files are defective.


    On kde the the System update doesn‘t find a file. Than I tried to update with ysat | update online. Here I get the message

    File './repodata/79df06e14cf43d8da70dffd32324dc71ac102b22042dc88fae3f4520bbba5f20-deltainfo.xml.gz' not found on medium 'http://download.opensuse.org/update/leap/15.0/oss/'

    I tried more times and each time I get a different file that cannot be found . The site http://download.opensuse.org/update/leap/15.0/oss/' can be reached. The reported files are not in the direcotry ./repodata. Now it is the August 22, 2019 10:06 pm, CET.



    This error occurs since some days, perhaps tow weeks. Usually the update succeeds after some tries. Today the error persists.

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,983
    Blog Entries
    14

    Default Re: Software Updates fails in kde and yast.

    I think the package cache is corrupted somehow. Do
    Code:
    sudo zypper clean
    sudo zypper ref
    sudo zypper up
    . then continue normal operations.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: Software Updates fails in kde and yast.

    Meanwhile he started automatically the kde Software updates and found a package. I’ll let you know what will happen next.

  4. #4

    Default Re: Software Updates fails in kde and yast.

    Quote Originally Posted by Knurpht View Post
    I think the package cache is corrupted somehow. Do
    Code:
    sudo zypper clean
    sudo zypper ref
    sudo zypper up
    . then continue normal operations.
    After one day, the same problem.

    sudo zypper clean succeeds.

    sudo zypper ref runs on error:
    Code:
    [sudo] password for root: 
    Repository 'adobe' is up to date.                                               
    Repository 'dvd' is up to date.                                                 
    Repository 'home:rwirth12' is up to date.                                       
    Repository 'home:twotaps:branches:home:marec2000' is up to date.                
    Repository 'home:marec2000' is up to date.                                      
    Repository 'Publishing' is up to date.                                          
    Repository 'libdvdcss repository' is up to date.                                
    Repository 'Packman Repository' is up to date.                                  
    Repository 'packman' is up to date.                                             
    Repository 'openSUSE-Leap-15.0-Non-Oss' is up to date.                          
    Repository 'openSUSE-Leap-15.0-Oss' is up to date.                              
    Retrieving repository 'openSUSE-Leap-15.0-Update' metadata ..............[error]
    Repository 'openSUSE-Leap-15.0-Update' is invalid.
    [repo-update|http://download.opensuse.org/update/leap/15.0/oss/] Valid metadata not found at specified URL
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'openSUSE-Leap-15.0-Update' because of the above error.
    Repository 'openSUSE-Leap-15.0-Update-Non-Oss' is up to date.                   
    Some of the repositories have not been refreshed because of an error.

  5. #5
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,767
    Blog Entries
    3

    Default Re: Software Updates fails in kde and yast.

    Quote Originally Posted by AdrianPHD View Post
    After one day, the same problem.
    I just updated Leap 15.0 around 1 hour ago. There were several updates in the update repo. The update went smoothly.

    Possibly you are using a bad mirror. Normally, a connection is redirected to a mirror, and the software handling that is supposed to keep track of whether the mirror is up to date. But that seems to not be working in your case.

    Another possibility is that you connect to the network via a proxy, and the proxy is misbehaving.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  6. #6
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    1,760

    Default Re: Software Updates fails in kde and yast.

    Mirrorbrain for your location must be mismanaging for your location. Try going into YaST repository management and changing the URL for repo-update from "download." to "widehat.", then repeat your attempt to update. If this works, the failing redirect needs to be determined and reported to admin@opensuse.org. How to make the determination I don't know, but it has been posted on the mailing lists several times, so can be found in a search in the archives. The best posts on the subject were made by Patrick Shanahan.
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 42.3,TW,15.0 & 13.1 on Haswell w/ RAID
    Secondary: eComStation (OS/2)&42.3 on 965P/Radeon
    Tertiary: TW,15.0,42.3,Fedora,Debian,more on Kaby Lake,Q45,Q43,G41,G3X,965G,Cedar,Caicos,Oland,GT218&&&

  7. #7

    Default Re: Software Updates fails in kde and yast.

    Exact same problem.

    I have two machines running 15.0 in the same LAN. One machine's update went through after a few failed attempts. The other machine keeps gettting this error about this "***deltainfo.xml.gz"

    So far I've tried "zypper clean -a", and changing "download" in the repo url for "widehat" (which gives me wrong url error).

  8. #8
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    1,760

    Default Re: Software Updates fails in kde and yast.

    Instead of changing download to widehat, try any of these complete URLs:
    Others can be selected from: https://mirrors.opensuse.org/

    I'm in Florida and got no errors from running 'zypper ref' in 15.0 using the standard repo URL, after having not upgraded in over three months. Zypper up succeeded to update 182 packages without errors.
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 42.3,TW,15.0 & 13.1 on Haswell w/ RAID
    Secondary: eComStation (OS/2)&42.3 on 965P/Radeon
    Tertiary: TW,15.0,42.3,Fedora,Debian,more on Kaby Lake,Q45,Q43,G41,G3X,965G,Cedar,Caicos,Oland,GT218&&&

  9. #9

    Default Re: Software Updates fails in kde and yast.

    Quote Originally Posted by mrmazda View Post
    Mirrorbrain for your location must be mismanaging for your location. Try going into YaST repository management and changing the URL for repo-update from "download." to "widehat.", then repeat your attempt to update. If this works, the failing redirect needs to be determined and reported to admin@opensuse.org. How to make the determination I don't know, but it has been posted on the mailing lists several times, so can be found in a search in the archives. The best posts on the subject were made by Patrick Shanahan.
    http://widehad.opensuse.org/update/leap/15.0/oss/ could not be connected.
    I analyzed the /var/log/zypper.log but I couldn't find where http://download.opensuse.org is redirected. Perhaps on http://ftp.halifax.rwth-aachen.de/, but I'm not shure.

    As suggested in a similar case https://forums.opensuse.org/showthre...ror+repository I changed the the "downlad" with https://provo-mirror.... and it worked.
    Last edited by hcvv; 23-Aug-2019 at 23:43. Reason: repaired QUOTE tag

  10. #10
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    1,070

    Default Re: Software Updates fails in kde and yast.

    zypper dup choked on snapshot 20190822. Running zypper ref -f && zypper dup fixed that.
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), openSUSE Tumbleweed, KDE Plasma 5

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •